Changeset 100512


Ignore:
Timestamp:
Dec 14, 2012, 4:26:10 PM (6 years ago)
Author:
blair@…
Message:

jgoodies-{common,forms,looks}: for Java 6 requirement fail on 10.5 and older.

Location:
trunk/dports/java
Files:
3 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/java/jgoodies-common/Portfile

    r100507 r100512  
    2525worksrcdir              ${name}-${version}
    2626
     27if {${os.platform} == "darwin" && ${os.major} < 10} {
     28    pre-fetch {
     29        ui_error "${name} ${version} requires OS X 10.6 or greater for Java 6."
     30        return -code error "incompatible OS X version"
     31    }
     32}
     33
    2734build.cmd               true
    2835
  • trunk/dports/java/jgoodies-forms/Portfile

    r100508 r100512  
    2929worksrcdir              ${name}-${version}
    3030
     31if {${os.platform} == "darwin" && ${os.major} < 10} {
     32    pre-fetch {
     33        ui_error "${name} ${version} requires OS X 10.6 or greater for Java 6."
     34        return -code error "incompatible OS X version"
     35    }
     36}
     37
    3138build.cmd               true
    3239
  • trunk/dports/java/jgoodies-looks/Portfile

    r100509 r100512  
    2828worksrcdir              ${name}-${version}
    2929
     30if {${os.platform} == "darwin" && ${os.major} < 10} {
     31    pre-fetch {
     32        ui_error "${name} ${version} requires OS X 10.6 or greater for Java 6."
     33        return -code error "incompatible OS X version"
     34    }
     35}
     36
    3037build.cmd               true
    3138
Note: See TracChangeset for help on using the changeset viewer.